summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2018-08-02 10:44:32 -0400
committerLuke Smith <luke@lukesmith.xyz>2018-08-02 10:44:32 -0400
commit104a5dc8ff1d61e13e1b4c8be101bf5fdb6d7b24 (patch)
treec0be6db736ecf6bb32a969ca9a36cc31892eecb3
parentb311507e1fb3606ee9b83f5643772efe367ca541 (diff)
downloadeibhear-104a5dc8ff1d61e13e1b4c8be101bf5fdb6d7b24.tar.gz
eibhear-104a5dc8ff1d61e13e1b4c8be101bf5fdb6d7b24.tar.zst
eibhear-104a5dc8ff1d61e13e1b4c8be101bf5fdb6d7b24.zip
shortcut sync added
-rw-r--r--.scripts/configs21
-rw-r--r--.scripts/folders9
-rwxr-xr-x.scripts/shortcuts.sh34
3 files changed, 64 insertions, 0 deletions
diff --git a/.scripts/configs b/.scripts/configs
new file mode 100644
index 0000000..51b5027
--- /dev/null
+++ b/.scripts/configs
@@ -0,0 +1,21 @@
+cff ~/.scripts/folders
+cfc ~/.scripts/configs
+cfb ~/.bashrc
+cfz ~/.zshrc
+cfv ~/.vimrc
+cfr ~/.config/ranger/rc.conf
+cfi ~/.config/i3/config
+cfq ~/.config/qutebrowser/config.py
+cfm ~/.config/mutt/muttrc
+cft ~/.config/termite/config
+eb ~/Documents/LaTeX/uni.bib
+cv ~/Documents/LaTeX/cv.tex
+cfp ~/.config/polybar/config
+cfd ~/.Xdefaults
+cfu ~/.config/newsboat/urls
+cfn ~/.config/newsboat/config
+cfA ~/.asoundrc
+cfmb ~/.config/ncmpcpp/bindings
+cfmc ~/.config/ncmpcpp/config
+cfmpd ~/.config/mpd/mpd.conf
+cfM ~/.config/mpd/mpd.conf
diff --git a/.scripts/folders b/.scripts/folders
new file mode 100644
index 0000000..3105b35
--- /dev/null
+++ b/.scripts/folders
@@ -0,0 +1,9 @@
+# You can add comments to these files with #
+h ~/
+d ~/Documents
+D ~/Downloads
+m ~/Music
+pp ~/Pictures
+vv ~/Videos
+s ~/.scripts
+cf ~/.config
diff --git a/.scripts/shortcuts.sh b/.scripts/shortcuts.sh
new file mode 100755
index 0000000..4758787
--- /dev/null
+++ b/.scripts/shortcuts.sh
@@ -0,0 +1,34 @@
+#!/bin/bash
+
+# Config locations
+folders="$HOME/.scripts/folders"
+configs="$HOME/.scripts/configs"
+
+# Output locations
+shell_shortcuts="$HOME/.shortcuts"
+ranger_shortcuts="$HOME/.config/ranger/shortcuts.conf"
+qute_shortcuts="$HOME/.config/qutebrowser/shortcuts.py"
+
+# Shell rc file (i.e. bash vs. zsh, etc.)
+shellrc="$HOME/.bashrc"
+
+# Download the shorcut files if not present.
+[[ ! -f $folders ]] && curl https://raw.githubusercontent.com/LukeSmithxyz/voidrice/master/.scripts/folders > "$folders"
+[[ ! -f $configs ]] && curl https://raw.githubusercontent.com/LukeSmithxyz/voidrice/master/.scripts/configs > "$configs"
+
+# Remove
+rm -f $shell_shortcuts $ranger_shortcuts $qute_shortcuts
+
+# Ensuring that output locations are properly sourced
+(grep "source ~/.shortcuts" $shellrc)>/dev/null || echo "source ~/.shortcuts" >> $shellrc
+(grep "source $HOME/.config/ranger/shortcuts.conf" $HOME/.config/ranger/rc.conf)>/dev/null || echo "source $HOME/.config/ranger/shortcuts.conf" >> $HOME/.config/ranger/rc.conf
+(grep "config.source('shortcuts.py')" $HOME/.config/qutebrowser/config.py)>/dev/null || echo "config.source('shortcuts.py')" >> $HOME/.config/qutebrowser/config.py
+
+# directory shortcuts
+sed "/^#/d" $folders | awk '{print "alias "$1"=\"cd "$2" && ls -a\""}' >> $shell_shortcuts
+sed "/^#/d" $folders | awk '{print "map g"$1" cd "$2"\nmap t"$1" tab_new "$2"\nmap m"$1" shell mv -v %s "$2"\nmap Y"$1" shell cp -rv %s "$2}' >> $ranger_shortcuts
+sed "/^#/d" $folders | awk '{print "config.bind(\";"$1"\", \"set downloads.location.directory "$2" ;; hint links download\")"}' >> $qute_shortcuts
+
+# dotfile shortcuts
+sed "/^#/d" $configs | awk '{print "alias "$1"=\"$EDITOR "$2"\""}' >> $shell_shortcuts
+sed "/^#/d" $configs | awk '{print "map "$1" shell $EDITOR "$2}' >> $ranger_shortcuts